@font-face {
    font-family: 'cabinregular';
    src: url('../fonts/cabin-regular-webfont.eot');
    src: url('../fonts/cabin-regular-webfont.eot?#iefix') format('embedded-opentype'), url('../fonts/cabin-regular-webfont.woff2') format('woff2'), url('../fonts/cabin-regular-webfont.woff') format('woff'), url('../fonts/cabin-regular-webfont.ttf') format('truetype'), url('../fonts/cabin-regular-webfont.svg#cabin-regular-webfont') format('svg');
    font-weight: normal;
    font-style: normal;
}

/* The side navigation menu */
.sidenav {
    font-family: 'cabinregular';
  height: auto; /* 100% Full-height */
  width: 0; /* 0 width - change this with JavaScript */
  position: fixed; /* Stay in place */
  z-index: 1; /* Stay on top */
  top: 0;
  left: 0;
  background-color: #fff; /* Black*/
  overflow-x: hidden; /* Disable horizontal scroll */
  transition: 0.5s; /* 0.5 second transition effect to slide in the sidenav */
    box-shadow: 0 1px 4px rgba(0,
    0,0,0.3);
}

/* The navigation menu links */
.sidenav a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s
}

/* When you mouse over the navigation links, change their color */
.sidenav a:hover, .offcanvas a:focus{
  color: #f1f1f1;
}

.sidepanel-button{
    position: fixed;
    height:60px;
    width: 23px;
    border-top: 0;
    border-left: 0;
    border-right: 1px solid #D4D4D4;
    border-bottom: 1px solid #D4D4D4;
}

#sidepanel-open-button{
    transition: 0.5s; /* 0.5 second transition effect to slide in the sidenav */
    background: rgba(255,255,255,0.9) url(../img/arrow-right.png) 7px center/7px 10px no-repeat;
}


#sidepanel-close-button{
    box-shadow: 0 1px 4px rgba(0,
    0,0,0.3);
    transition: 0.5s; /* 0.5 second transition effect to slide in the sidenav */
    background: rgba(255,255,255,0.9) url(../img/arrow-left.png) 7px center/7px 10px no-repeat;
}

.panel{
    font-family: 'cabinregular', sans-serif;
    padding: 20px;
}

#top-panel{
    background-color: #6394e4;
    height: 20px;
    width: 100%;
}

#search-panel{
    background-color: #81B9F9;
    width: 100%;
}

textarea, input, button { outline: none; }

.textbox{
    width: 75%;
    height: 25px;
    font-size: 16px;
    font-family: 'cabinregular';
    background-color: #81B9F9;
    border: 0;
    border-bottom: 1px solid #fefefe;
    color: #fefefe;
    transition: 0.8s linear;
    margin-bottom: 20px;
}

.textbox::-webkit-input-placeholder{
    font-family: 'cabinregular';
    color: #fefefe;
}

.top-icon{
    padding-left: 25px;
    padding-bottom: 25px;
    float: left;
    margin-right: 10px;
}

#icon-start{
    background-image: url(../img/start.png);
    background-repeat: no-repeat;
    padding-left: 25px;
}

#icon-end{
    background-image: url(../img/end.png);
    background-repeat: no-repeat;
    padding-left: 25px;
}

#icon-search{
    background-image: url(../img/search.png);
    background-repeat: no-repeat;
}

#icon-directions{
    background-image: url(../img/directions.png);
    background-repeat: no-repeat;
}


#icon-search:hover + #text-grow-search {
    max-width: 100%;
    transition: max-width 0.8s linear;
}

#icon-directions:hover + #text-grow-directions {
    max-width: 100%;
    transition: max-width 0.8s linear;
}

.text-grow {
    padding-top: 2px;
    font-size: 18px;
    color: #fff;
    width: 100px;
    max-width: 0%;
    white-space: nowrap;
    overflow: hidden;
    float: left;
}

#text-grow-search{
    width: 110px;
    transition: max-width 0.2s linear;

}

#text-grow-directions{
    width: 80px;
    transition: max-width 0.2s linear;

}

#search-button{
    margin: 0 auto;
    text-transform: capitalize;
    color: #fff;;
}

.error{
    font-size: 14px;
    color: #c9302c;
    margin-left: 25px;
}

/*!* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) *!*/
/*@media screen and (max-height: 450px) {*/
  /*.sidenav {padding-top: 15px;}*/
  /*.sidenav a {font-size: 18px;}*/
/*}*/